package com.staffing.custom.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.staffing.common.annotation.Excel;
import com.staffing.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 签到对象 st_task_sign
 * 
 * @author staffing
 * @date 2024-08-27
 */
public class StTaskSign extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 任务id */
    private Long taskId;

    /** 任务名称 */
    @Excel(name = "任务名称")
    private String taskName;

    /** 日结单价 */
    @Excel(name = "日结单价")
    private String dayPrice;

    /** 签到时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "签到时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date signTime;

    /** 员工id */
    private Long employeeId;

    /** 名字 */
    @Excel(name = "名字")
    private String employeeName;

    /** 手机 */
    @Excel(name = "手机")
    private String phone;

    /** 身份证 */
    @Excel(name = "身份证")
    private String idCard;

    /** 签到状态 */
    @Excel(name = "签到状态")
    private String statusStr;
    /**
     * -1未点  0未到  1已到
     */
    private Integer status;

    @Excel(name = "二次核验备注")
    private String remark;

    public String getStatusStr() {
        return statusStr;
    }

    public void setStatusStr(String statusStr) {
        this.statusStr = statusStr;
    }

    private StEmployeeFundRecord stEmployeeFundRecord;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTaskId(Long taskId) 
    {
        this.taskId = taskId;
    }

    public Long getTaskId() 
    {
        return taskId;
    }
    public void setTaskName(String taskName) 
    {
        this.taskName = taskName;
    }

    public String getTaskName() 
    {
        return taskName;
    }
    public void setDayPrice(String dayPrice) 
    {
        this.dayPrice = dayPrice;
    }

    public String getDayPrice() 
    {
        return dayPrice;
    }
    public void setSignTime(Date signTime) 
    {
        this.signTime = signTime;
    }

    public Date getSignTime() 
    {
        return signTime;
    }
    public void setEmployeeId(Long employeeId) 
    {
        this.employeeId = employeeId;
    }

    public Long getEmployeeId() 
    {
        return employeeId;
    }
    public void setEmployeeName(String employeeName) 
    {
        this.employeeName = employeeName;
    }

    public String getEmployeeName() 
    {
        return employeeName;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setIdCard(String idCard) 
    {
        this.idCard = idCard;
    }

    public String getIdCard() 
    {
        return idCard;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskId", getTaskId())
            .append("taskName", getTaskName())
            .append("dayPrice", getDayPrice())
            .append("signTime", getSignTime())
            .append("employeeId", getEmployeeId())
            .append("employeeName", getEmployeeName())
            .append("phone", getPhone())
            .append("idCard", getIdCard())
            .append("status", getStatus())
            .append("remark", getRemark())
            .toString();
    }

    public StEmployeeFundRecord getStEmployeeFundRecord() {
        return stEmployeeFundRecord;
    }

    public void setStEmployeeFundRecord(StEmployeeFundRecord stEmployeeFundRecord) {
        this.stEmployeeFundRecord = stEmployeeFundRecord;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }
}
